Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.schema
Class ColumnIO

    java.lang.Object
      org.apache.openjpa.jdbc.schema.ColumnIO

All Implemented Interfaces:
  Serializable

    public class ColumnIO

extends Object
implements Serializable

Metadata about column I/O in a specific context. In the context of a foreign key, the standard foreign key columns are indexed first, then the constant columns.

Author:
  Abe White
See Also:
  Serialized Form

Field Summary
`static ColumnIO` | `UNRESTRICTED`

Constructor Summary
`ColumnIO()`

Method Summary
`boolean` | `isAllInsertable(Column[] cols, boolean nullValue)` Equivalent to `isAllInsertable (cols.length, nullValue)`.
`boolean` | `isAllInsertable(ForeignKey fk, boolean nullValue)` Return true if all columns for the given key are insertable.
`boolean` | `isAllInsertable(int col, boolean nullValue)` Whether all columns up to but excluding the given index are insertable.
`boolean` | `isAllUpdatable(Column[] cols, boolean nullValue)` Equivalent to `isAllUpdatable (cols.length, nullValue)`.
`boolean` | `isAllUpdatable(ForeignKey fk, boolean nullValue)` Return true if all columns for the given key are updatable.
`boolean` | `isAllUpdatable(int col, boolean nullValue)` Whether all columns up to but excluding the given index are updatable.
`boolean` | `isAnyInsertable(Column[] cols, boolean nullValue)` Equivalent to `isAnyInsertable (cols.length, nullValue)`.
`boolean` | `isAnyInsertable(ForeignKey fk, boolean nullValue)` Return true if any columns for the given key are insertable.
`boolean` | `isAnyInsertable(int col, boolean nullValue)` Whether any column up to but excluding the given index is insertable.
`boolean` | `isAnyUpdatable(Column[] cols, boolean nullValue)` Equivalent to `isAnyUpdatable (cols.length, nullValue)`.
`boolean` | `isAnyUpdatable(ForeignKey fk, boolean nullValue)` Return true if any columns for the given key are updatable.
`boolean` | `isAnyUpdatable(int col, boolean nullValue)` Whether any column up to but excluding the given index is updatable.
`boolean` | `isInsertable(Column col, boolean nullValue)` Equivalent to `isInsertable (0, nullValue)`, but returns false if the given column is null.
`boolean` | `isInsertable(int col, boolean nullValue)` Whether the column at the given index is insertable in this context.
`boolean` | `isUpdatable(Column col, boolean nullValue)` Equivalent to `isUpdatable (0, nullValue)`, but returns false if the given column is null.
`boolean` | `isUpdatable(int col, boolean nullValue)` Whether the column at the given index is updatable in this context.
`void` | `setInsertable(int col, boolean insertable)` Whether the column at the given index is insertable in this context.
`void` | `setNullInsertable(int col, boolean insertable)` Whether this context can insert the given column as null/default in this context.
`void` | `setNullUpdatable(int col, boolean updatable)` Whether this context can set the given column to null/default in this context.
`void` | `setUpdatable(int col, boolean updatable)` Whether the column at the given index is updatable in this context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNRESTRICTED

    public static final ColumnIO UNRESTRICTED

Constructor Detail

### ColumnIO

    public ColumnIO()

Method Detail

### isInsertable

    public boolean isInsertable(int col,
                                boolean nullValue)

  Whether the column at the given index is insertable in this context.

### isInsertable

    public boolean isInsertable(Column col,
                                boolean nullValue)

  Equivalent to `isInsertable (0, nullValue)`, but returns false if the given column is null.

### isAnyInsertable

    public boolean isAnyInsertable(int col,
                                   boolean nullValue)

  Whether any column up to but excluding the given index is insertable.

### isAnyInsertable

    public boolean isAnyInsertable(Column[] cols,
                                   boolean nullValue)

  Equivalent to `isAnyInsertable (cols.length, nullValue)`.

### isAnyInsertable

    public boolean isAnyInsertable(ForeignKey fk,
                                   boolean nullValue)

  Return true if any columns for the given key are insertable.

### isAllInsertable

    public boolean isAllInsertable(int col,
                                   boolean nullValue)

  Whether all columns up to but excluding the given index are insertable.

### isAllInsertable

    public boolean isAllInsertable(Column[] cols,
                                   boolean nullValue)

  Equivalent to `isAllInsertable (cols.length, nullValue)`.

### isAllInsertable

    public boolean isAllInsertable(ForeignKey fk,
                                   boolean nullValue)

  Return true if all columns for the given key are insertable.

### setInsertable

    public void setInsertable(int col,
                              boolean insertable)

  Whether the column at the given index is insertable in this context.

### setNullInsertable

    public void setNullInsertable(int col,
                                  boolean insertable)

  Whether this context can insert the given column as null/default in this context.

### isUpdatable

    public boolean isUpdatable(int col,
                               boolean nullValue)

  Whether the column at the given index is updatable in this context.

### isUpdatable

    public boolean isUpdatable(Column col,
                               boolean nullValue)

  Equivalent to `isUpdatable (0, nullValue)`, but returns false if the given column is null.

### isAnyUpdatable

    public boolean isAnyUpdatable(int col,
                                  boolean nullValue)

  Whether any column up to but excluding the given index is updatable.

### isAnyUpdatable

    public boolean isAnyUpdatable(Column[] cols,
                                  boolean nullValue)

  Equivalent to `isAnyUpdatable (cols.length, nullValue)`.

### isAnyUpdatable

    public boolean isAnyUpdatable(ForeignKey fk,
                                  boolean nullValue)

  Return true if any columns for the given key are updatable.

### isAllUpdatable

    public boolean isAllUpdatable(int col,
                                  boolean nullValue)

  Whether all columns up to but excluding the given index are updatable.

### isAllUpdatable

    public boolean isAllUpdatable(Column[] cols,
                                  boolean nullValue)

  Equivalent to `isAllUpdatable (cols.length, nullValue)`.

### isAllUpdatable

    public boolean isAllUpdatable(ForeignKey fk,
                                  boolean nullValue)

  Return true if all columns for the given key are updatable.

### setUpdatable

    public void setUpdatable(int col,
                             boolean updatable)

  Whether the column at the given index is updatable in this context.

### setNullUpdatable

    public void setNullUpdatable(int col,
                                 boolean updatable)

  Whether this context can set the given column to null/default in this context.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.